//caps.c:

/*
 *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011
 *
 *  This file is part of uniraum,
 *  a cross-platform container library, home and professional use.
 *  See README for details.
 *
 *  This file is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  uniraum is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 *
 */

#include "private.h"

#if BYTE_ORDER == LITTLE_ENDIAN || defined(__WIN32)
#define _HTONS(x) ( \
                   (((x) & 0x000000FF) << 24) | \
                   (((x) & 0x0000FF00) <<  8) | \
                   (((x) & 0x00FF0000) >>  8) | \
                   (((x) & 0xFF000000) >> 24)   \
                  )
#elif BYTE_ORDER == BIG_ENDIAN
#define _HTONS(x) (x)
#else
#error CAPS support not supported for your byte order
#endif
#define _MKSTD(vendor,standard,version) _HTONS(((((vendor)   & 0x00FF) << 24) | \
                                                (((standard) & 0xFFFF) <<  8) | \
                                                 ((version)  & 0x00FF)        ))

uniraum_cap_t uniraum__data_caps_minimum[UNIRAUM__DATA_CAPS_MINIMUM_LEN] = {
 _MKSTD(ROAR_STDV_ROARAUDIO,  0, 0),
 _MKSTD(ROAR_STDV_ROARAUDIO, 20, 0)
};

//ll
